%define	major	4
%define	libname	%mklibname ifp %{major}
%define develname %mklibname -d ifp

Summary: 	iRiver driver library
Name: 		libifp
Version: 	1.0.0.2
Release: 	%mkrel 20
License: 	GPLv2+
Group: 		System/Libraries
Source0: 	%{name}-%{version}.tar.gz
Source1:        libifp.hotplug
Source2:        10-libifp.rules
Patch0:		libifp-1.0.0.2-human-readable.patch
Patch1:		libifp-1.0.0.2-warn-not-error.patch
Patch100:	libifp-1.0.0.2-fix-broken-configure.in.diff
Patch101:	libifp-1.0.0.2-fix-broken-configure-again.diff
Patch102:	libifp-fix-building-with-gcc14.patch

BuildRequires:	pkgconfig(libusb)
URL:		https://ifp-driver.sourceforge.net/

%description
An interface for IRiver's flash-based portable music players

%package -n	%{libname}
Summary:	iRiver driver library
Group:		System/Libraries

%description -n	%{libname}
Libraries for iRiver driver

%package -n	%{develname}
Summary:	iRiver driver library development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d ifp 4

%description -n	%{develname}
This package includes the header files and shared libraries
necessary for developing programs which will access iRiver using
the %{name} library.

If you are going to develop programs which will access iRiver devices,
you should install this package.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure	\
	--with-libusb \
	--disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

install -D -m 0755 %{SOURCE1} %buildroot/sbin/libifp-hotplug
install -D -m 0644 %{SOURCE2} %buildroot%{_udevrulesdir}/10-libifp.rules

%files
%doc README ChangeLog TODO
%{_bindir}/ifpline
/sbin/*
%{_udevrulesdir}/*.rules

%files -n %{libname}
%{_libdir}/libifp.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libifp.so
%{_includedir}/ifp.h
%{_mandir}/man3/ifp.h.3*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.0.0.2-20.mga10
+ Revision: 2229048
- Mageia 10 Mass Rebuild

* Fri Oct 18 2024 ns80 <ns80> 1.0.0.2-19.mga10
+ Revision: 2108002
- try to fix building with GCC 14

* Fri Mar 25 2022 umeabot <umeabot> 1.0.0.2-18.mga9
+ Revision: 1826381
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.0.2-17.mga8
+ Revision: 1514208
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0.2-16.mga7
+ Revision: 1298917
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 1.0.0.2-15.mga7
+ Revision: 1235704
- add Fedora patches to fix build
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0.2-14.mga6
+ Revision: 948173
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0.2-13.mga5
+ Revision: 748251
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0.2-12.mga5
+ Revision: 681532
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.0.0.2-11.mga5
+ Revision: 643703
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0.2-10.mga4
+ Revision: 521068
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 fwang <fwang> 1.0.0.2-9.mga3
+ Revision: 388549
- correct udev rules dir

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0.2-8.mga3
+ Revision: 357522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 ahmad <ahmad> 1.0.0.2-7.mga1
+ Revision: 35861
- drop old/unneeded scriptlets
- imported package libifp


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0.2-6mdv2011.0
+ Revision: 602560
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0.2-5mdv2010.1
+ Revision: 520871
- rebuilt for 2010.1

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 1.0.0.2-4mdv2010.0
+ Revision: 456084
- rebuild for new libusb.la location

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0.2-3mdv2010.0
+ Revision: 425569
- rebuild

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1.0.0.2-2mdv2009.1
+ Revision: 217190
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jun 05 2008 Funda Wang <fwang@mandriva.org> 1.0.0.2-2mdv2009.0
+ Revision: 215218
- new devel package policy
- add fedora udev rules

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.0.2-1mdv2008.1
+ Revision: 140924
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Jan 18 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.0.2-1mdv2007.0
+ Revision: 110498
- new release: 1.0.0.2
  pass --with-libusb to ensure library getting built
  make ifpline support 'df -h' (P0 from debian)
  only give warning at read failure to allow for format (P1 from debian)
- Import libifp

* Sat Aug 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.0.1-1mdk
- initial release (club request)

